From b83a20e1844fdae4da3c196a1f90dc73859ea314 Mon Sep 17 00:00:00 2001
From: Mark Dilger <mark.dilger@enterprisedb.com>
Date: Mon, 15 Mar 2021 11:33:23 -0700
Subject: [PATCH v7 1/4] Turning off autovacuum during corruption tests.

Tests which intentionally corrupt relations should not run with
autovacuum turned on, as autovacuum may do unpredictable things when
processing corrupt tables.  Two such tests were committed with
autovacuum on, which was an oversight noticed while investigating
failures observed on build farm animals "hornet" and "tern".
---
 src/bin/pg_amcheck/t/003_check.pl          | 1 +
 src/bin/pg_amcheck/t/005_opclass_damage.pl | 1 +
 2 files changed, 2 insertions(+)

diff --git a/src/bin/pg_amcheck/t/003_check.pl b/src/bin/pg_amcheck/t/003_check.pl
index 54b2b86a49..10a70b4ae3 100644
--- a/src/bin/pg_amcheck/t/003_check.pl
+++ b/src/bin/pg_amcheck/t/003_check.pl
@@ -117,6 +117,7 @@ sub perform_all_corruptions()
 # Test set-up
 $node = get_new_node('test');
 $node->init;
+$node->append_conf('postgresql.conf', 'autovacuum=off');
 $node->start;
 $port = $node->port;
 
diff --git a/src/bin/pg_amcheck/t/005_opclass_damage.pl b/src/bin/pg_amcheck/t/005_opclass_damage.pl
index eba8ea9cae..28a5a2d35f 100644
--- a/src/bin/pg_amcheck/t/005_opclass_damage.pl
+++ b/src/bin/pg_amcheck/t/005_opclass_damage.pl
@@ -9,6 +9,7 @@ use Test::More tests => 5;
 
 my $node = get_new_node('test');
 $node->init;
+$node->append_conf('postgresql.conf', 'autovacuum=off');
 $node->start;
 
 # Create a custom operator class and an index which uses it.
-- 
2.21.1 (Apple Git-122.3)

